> For a complete page index, fetch https://developer.close.com/llms.txt

# Get a single Export

GET https://api.close.com/api/v1/export/{id}/

You can get a single export to do things like check its `status` or get a `download_url`

 - `status` can have one of these values: `created`, `started`, `in_progress`, `done`, `error`.

Reference: https://developer.close.com/api/resources/exports/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2014-04-02T15:32:54.774000+00:00",
  "date_format": "iso8601",
  "date_updated": "2014-04-02T23:35:59.704000+00:00",
  "download_url": null,
  "fields": [
    "created_by",
    "date_created",
    "date_updated",
    "emails",
    "id",
    "name",
    "phones",
    "title",
    "updated_by",
    "urls"
  ],
  "format": "csv",
  "id": "expo_9lHXk6sbznxcuQOEASDF59arhUCdS2CqNm9OTv6yb",
  "n_docs": 100000,
  "n_docs_processed": 5000,
  "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
  "results_limit": null,
  "s_query": {
    "queries": [
      {
        "object_type": "lead",
        "type": "object_type"
      },
      {
        "condition": {
          "mode": "full_words",
          "type": "text",
          "value": "ACME Inc."
        },
        "field": {
          "field_name": "name",
          "object_type": "lead",
          "type": "regular_field"
        },
        "type": "field_condition"
      }
    ],
    "type": "and"
  },
  "send_done_email": false,
  "sort": [],
  "status": "in_progress",
  "type": "lead_opps",
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
```

**SDK Code**

```python exports_get_example
import requests

url = "https://api.close.com/api/v1/export/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript exports_get_example
const url = 'https://api.close.com/api/v1/export/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go exports_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/export/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby exports_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/export/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java exports_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/export/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php exports_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/export/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp exports_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/export/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```